
/**************************************************************************************
* This file is part of the GameFramework project released by Wazoo Enterprises Inc.
* under the GNU Public License. 
*
* Any projects using this code must attach these copyright notices along with their
* own as outlined at http://www.gnu.org
*
* Copyright 2003 by Wazoo Enterprises Inc.
* To contact the auther, send a message to wazoo@wazooenterprises.com
*
****************************************************************************************/

#include "OGLVertexBuffer.h"

OGLVertexBuffer::OGLVertexBuffer() : vbInterface(){

}

OGLVertexBuffer::~OGLVertexBuffer(){

	destroyVB();

}

HRESULT OGLVertexBuffer::createVB(int iSize, VOID* pNothing){

	return S_OK;
}

void OGLVertexBuffer::destroyVB(void){


}

HRESULT OGLVertexBuffer::lockVB(void){

	glBegin(GL_TRIANGLES);

	return S_OK;
}

void OGLVertexBuffer::unlockVB(void){

	glEnd();
}

void OGLVertexBuffer::flushVB(void){


}

void OGLVertexBuffer::addTriToVB(D3DXVECTOR3 pos,
								FLOAT r, FLOAT g,
								FLOAT b, FLOAT a){

	glColor4f(r, g, b, a);
	glVertex3f(pos.x, pos.y, pos.z);

}

void OGLVertexBuffer::addTriToVB(D3DXVECTOR3 pos,
								FLOAT r, FLOAT g,
								FLOAT b, FLOAT a,
								D3DXVECTOR2 tex){

	glColor4f(r, g, b, a);
	glTexCoord2f(tex.x, tex.y);
	glVertex3f(pos.x, pos.y, pos.z);

}
